Last Comment Bug 738556 - Need a reliable and representative talos checkerboarding test
: Need a reliable and representative talos checkerboarding test
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All Android
: -- normal (vote)
: Firefox 14
Assigned To: Kartikaya Gupta (email:kats@mozilla.com)
:
Mentors:
Depends on:
Blocks: 729528
  Show dependency treegraph
 
Reported: 2012-03-22 23:40 PDT by Kartikaya Gupta (email:kats@mozilla.com)
Modified: 2012-04-04 10:30 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
(1/2.5) Clean up some driver code (3.49 KB, patch)
2012-03-22 23:45 PDT, Kartikaya Gupta (email:kats@mozilla.com)
jmaher: review+
Details | Diff | Review
(1.5/2.5) Timecube test page (359.59 KB, text/html)
2012-03-22 23:48 PDT, Kartikaya Gupta (email:kats@mozilla.com)
no flags Details
(2.5/2.5) Update testCheck to use timecube and better flinging amounts (2.65 KB, patch)
2012-03-22 23:49 PDT, Kartikaya Gupta (email:kats@mozilla.com)
chrislord.net: review+
Details | Diff | Review

Description Kartikaya Gupta (email:kats@mozilla.com) 2012-03-22 23:40:27 PDT
Right now we have testCheck which is ok, but could be improved. Specifically I'd like to use a longer page than the wikipedia page we're currently using, and use the drag()/fling() functions in the MotionEventHelper which are more reliable than the Robotium drag() function. Also I'd like to have flings of different amounts so that we have a more representative checkerboard test.
Comment 1 Kartikaya Gupta (email:kats@mozilla.com) 2012-03-22 23:45:03 PDT
Created attachment 608618 [details] [diff] [review]
(1/2.5) Clean up some driver code
Comment 2 Kartikaya Gupta (email:kats@mozilla.com) 2012-03-22 23:48:26 PDT
Created attachment 608619 [details]
(1.5/2.5) Timecube test page

This is timecube.com with all the images baked directly into the .html file as data: urls. I would like this to go into talos/startup_test/fennecmark/ in the http://hg.mozilla.org/build/talos/ repository.
Comment 3 Kartikaya Gupta (email:kats@mozilla.com) 2012-03-22 23:49:46 PDT
Created attachment 608620 [details] [diff] [review]
(2.5/2.5) Update testCheck to use timecube and better flinging amounts
Comment 4 Joel Maher (:jmaher) 2012-03-23 02:17:53 PDT
Comment on attachment 608618 [details] [diff] [review]
(1/2.5) Clean up some driver code

Review of attachment 608618 [details] [diff] [review]:
-----------------------------------------------------------------

thanks
Comment 5 Chris Lord [:cwiiis] 2012-03-23 04:51:12 PDT
Comment on attachment 608620 [details] [diff] [review]
(2.5/2.5) Update testCheck to use timecube and better flinging amounts

Review of attachment 608620 [details] [diff] [review]:
-----------------------------------------------------------------

Like it, r+
Comment 8 Mark Finkle (:mfinkle) (use needinfo?) 2012-04-04 10:28:15 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/69171a9b6c74
Comment 9 Mark Finkle (:mfinkle) (use needinfo?) 2012-04-04 10:30:47 PDT
(In reply to Mark Finkle (:mfinkle) from comment #8)
> https://hg.mozilla.org/releases/mozilla-aurora/rev/69171a9b6c74

Wrong!

https://hg.mozilla.org/releases/mozilla-aurora/rev/882fc7645a59

Note You need to log in before you can comment on or make changes to this bug.